#
# spec file for package sblim-cmpi-syslog
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           sblim-cmpi-syslog
Url:            http://sblim.wiki.sourceforge.net/
BuildRequires:  gcc-c++
BuildRequires:  openssl-devel
BuildRequires:  pam-devel
%if 0%{?rhel_version} == 0 && 0%{?centos_version} == 0
BuildRequires:  openslp-devel
%endif
BuildRequires:  cim-server
BuildRequires:  sblim-cmpi-base-devel
BuildRequires:  sblim-indication_helper-devel
BuildRequires:  sblim-sfcb
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        SBLIM Syslog Instrumentation
License:        EPL-1.0
Group:          System/Management
Version:        0.9.0
Release:        2.2
Requires:       cim-schema
Requires:       cim-server
Requires:       sblim-cmpi-base >= 1.2.3
Requires:       syslog-ng
Source0:        http://www-126-ibm.com/pub/sblim/sblim-cmpi-syslog/%{name}-%{version}.tar.bz2
Patch0:         sblim-cmpi-syslog-0.7.9_testsuite_random_return.patch
Patch1:         sblim-cmpi-syslog-shebang.patch
# include sys/stat.h to get S_IRUSR etc. defined (SLE 11), kkaempf@suse.de
Patch2:         include-sys-stat.patch
# use strncpy to prevent buffer overflow, kkaempf@suse.de
Patch3:         use-strncpy-to-prevent-overflow.patch
#!BuildIgnore:  tog-pegasus
Requires(pre):  /usr/bin/loadmof.sh, /usr/bin/rmmof.sh

%description
- Syslog Configuration Instrumentation This instrumentation allows
   management of syslog configuration file via CIM.

- Syslog Service Instrumentation This instrumentation allows to
   manage the syslog service via CIM.

- Syslog Logfile Instrumentation This instrumentation allows viewing of
syslog logfiles via CIM.

%prep
%setup
%patch0
%patch1 -b .sblim-cmpi-syslog-shebang.patch
%patch2 -p1
%patch3 -p1

%build
%configure --with-pic --disable-static
%{__make}

%install
%if 0%{?suse_version}
%makeinstall docdir=%{_docdir}/%{name}
%else
make install DESTDIR=%{buildroot} docdir=%{_docdir}/%{name}-%{version}
%endif
for i in */README AUTHORS ChangeLog NEWS ; do
%if 0%{?suse_version}
    %{__install} -m 0644 $i %{buildroot}%{_docdir}/%{name}/README.${i%%/README} ;
%else
    %{__install} -m 0644 $i %{buildroot}%{_docdir}/%{name}-%{version}/README.${i%%/README} ;
%endif
done
%{__install} -Dd -m 0755 %{buildroot}/var/log/
touch %{buildroot}/var/log/testlog
rm -rf %{buildroot}%{_datadir}/sblim-testsuite
rm -f %{buildroot}%{_libdir}/cmpi/*.la
rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_libdir}/*.so

%clean
%{__rm} -rf %{buildroot}

%post
/sbin/ldconfig
# compile MOF
for i in Syslog_Configuration Syslog_Log Syslog_Service; do
  %{_datadir}/%{name}/provider-register.sh -t sfcb \
	-r %{_datadir}/%{name}/$i.registration \
	-m %{_datadir}/%{name}/$i.mof
done

%preun
if [ "$1" = 0 ]; then
	for i in Syslog_Configuration Syslog_Log Syslog_Service; do
	  %{_datadir}/%{name}/provider-register.sh -t sfcb -d \
		-r %{_datadir}/%{name}/$i.registration \
		-m %{_datadir}/%{name}/$i.mof
	done
fi

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%ghost /var/log/testlog
%if 0%{?suse_version}
%doc %{_docdir}/%{name}
%else
%doc %{_docdir}/%{name}-%{version}
%endif
%{_bindir}/syslog-service.sh
%{_libdir}/cmpi/libSyslog_Configuration.so
%{_libdir}/cmpi/libSyslog_LogRecord.so
%{_libdir}/cmpi/libSyslog_MessageLog.so
%{_libdir}/cmpi/libSyslog_RecordInLog.so
%{_libdir}/cmpi/libSyslog_Service.so
%{_libdir}/cmpi/libSyslog_ServiceProcess.so
%{_libdir}/cmpi/libSyslog_Setting.so
%{_libdir}/cmpi/libSyslog_SettingContext.so
%{_libdir}/libSyslog_ConfUtils.so.0
%{_libdir}/libSyslog_ConfUtils.so.0.0.0
%{_libdir}/libSyslog_LogUtils.so.0
%{_libdir}/libSyslog_LogUtils.so.0.0.0
%{_libdir}/libSyslog_ServiceUtils.so.0
%{_libdir}/libSyslog_ServiceUtils.so.0.0.0
%{_libdir}/libsyslogconfutil.so.0
%{_libdir}/libsyslogconfutil.so.0.0.0
%{_libdir}/libsysloglogutil.so.0
%{_libdir}/libsysloglogutil.so.0.0.0
%{_libdir}/libsyslogserviceutil.so.0
%{_libdir}/libsyslogserviceutil.so.0.0.0
%{_libdir}/libsyslogsettingparse.so.0
%{_libdir}/libsyslogsettingparse.so.0.0.0
%{_libdir}/libsyslogtimeparse.so.0
%{_libdir}/libsyslogtimeparse.so.0.0.0
%dir %{_datadir}/sblim-cmpi-syslog/
%{_datadir}/sblim-cmpi-syslog/Syslog_Configuration.mof
%{_datadir}/sblim-cmpi-syslog/Syslog_Configuration.registration
%{_datadir}/sblim-cmpi-syslog/Syslog_Log.mof
%{_datadir}/sblim-cmpi-syslog/Syslog_Log.registration
%{_datadir}/sblim-cmpi-syslog/Syslog_Service.mof
%{_datadir}/sblim-cmpi-syslog/Syslog_Service.registration
%{_datadir}/sblim-cmpi-syslog/provider-register.sh

%changelog
* Thu Jul 25 2013 kkaempf@suse.com
- Update to 0.9.0
  The provider should now work with systems running syslog under
  initscripts, or with rsyslog under initscripts or systemd.
- new patches
  include-sys-stat.patch
  use-strncpy-to-prevent-overflow.patch
- drop patches (included upstream)
  sblim-cmpi-syslog-fix-buffer-overflow.patch
  sblim-cmpi-syslog-0.7.11-missing-fclose.patch
* Tue Apr  3 2012 kkaempf@suse.com
- Fix CentOS build
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Tue Sep 14 2010 kkaempf@novell.com
- Fix RH/Fedora build
* Wed May 19 2010 puzel@novell.com
- add sblim-cmpi-syslog-fix-buffer-overflow.patch (fix build)
* Thu Oct  1 2009 mhrusecky@suse.cz
- update to version 0.8.0
  o Bug 1833455: Updated URL for CPL
  o Bug 2688817: cmpi-syslog missing includes
  o Bug 2795176: Migrate provider licenses to EPL
* Mon Aug 24 2009 mhrusecky@suse.cz
- Fixed missing fclose (bnc#530336)
* Mon Mar 16 2009 mhrusecky@suse.cz
- Fixed missing includes
* Wed Aug 13 2008 bwhiteley@suse.de
- Remove testsuite due to RPMLINT errors.
- Use provider-register.sh with SFCB.
- Fix other RPMLINT errors.
* Thu Dec 27 2007 crrodriguez@suse.de
- fix library-without-ldconfig-post* rpmlint warnings
* Wed Jan 24 2007 mrueckert@suse.de
- update to version 0.7.11: (#184758)
  o Bug 1411000: syslog provider should not depend on cmpi-base
    internal functions.
  o Bug 1615180: check mallocs for success
  o Bug 1605178: CreateInstance must return an valid object path
    in case of success.
  o Bug 1605163: Configuration enumeration does not clean up /tmp
    files.
  o Bug 1538474: Fixed memory leaks in parsing syslog
    configuration information.
  o Bug 1472978 : Updated TmpConfFile as "/etc/syslog.conf" and
    added code to send SIGHUP to syslogd AFTER a create/delete
    instance in syslog-conf.
- removed sblim-cmpi-syslog-0.7.9_sig_hup_syslogd.patch:
  patch included in 0.7.11
* Mon May  8 2006 mrueckert@suse.de
- added sblim-cmpi-syslog-0.7.9_syslog_sig_hup.patch:
  syslog-conf should use config file directly (#173452)
- removed handling for /etc/syslogtest.conf
- added ghostified file /var/log/testlog
* Wed Apr 19 2006 mrueckert@suse.de
- copy the syslog.conf to syslogtest.conf in %%post
  and add it as %%ghost in the files section (#163535)
* Mon Mar 27 2006 mrueckert@suse.de
- sblim-cmpi-syslog-0.7.9_testsuite_random_return.patch
  fix main() without return statement
* Mon Mar 27 2006 mrueckert@suse.de
- update to version 0.7.9
  includes the following upstream fixes:
  o 1183805 : Autoconf support added.
  o 1199129 : Some warning messages were also fixed.
  o 1449220 : Fixed testsuite failure.
  o 1449954 : Replaced printfs with debug macro (syslog_debug)
- minimize the %%build/%%install
* Thu Jan 26 2006 mrueckert@suse.de
- removed unneeded build requires
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 19 2006 mrueckert@suse.de
- update to version 0.7.8
- adapt new scripts in openwbem
- fix test suite installation.
* Mon Apr  4 2005 ro@suse.de
- added syslogd to neededforbuild
* Thu Nov 25 2004 ro@suse.de
- fixed file list (again)
* Tue Nov 23 2004 nashif@suse.de
- syslog_log core dumps with Pegasus cimserver when a log
  file has junk characters (#48393)
* Thu Nov 11 2004 ro@suse.de
- fixed file list
* Sat May 22 2004 nashif@suse.de
- Fix #40934: syslog-conf provider testsuite testcases fail
- Fix #40995: Syslog-log provider hangs in testsuite test
- Fix #40993: syslog-log provider memory leaks
* Wed May 12 2004 nashif@suse.de
- Do not De-register when updating package
* Mon May 10 2004 nashif@suse.de
- #40302: install provider tests
* Fri May  7 2004 nashif@suse.de
- Deregister provider with pegasus when uninstalling (#39667)
- #40013: syslog-service provider does not have the right
  version of the syslogserviceutil.c file
* Wed Apr 14 2004 nashif@suse.de
- Added PreReq for loadmof.sh
* Wed Apr  7 2004 nashif@suse.de
- Initial version
